package com.huoran.iasf.vo.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @描述：文章管理
 * @作者: Rong
 * @日期: 2022-08-05
 */
@Data
public class PageContentReqVO extends PageReqVO {


    @ApiModelProperty(value = "栏目id")
    private List<Integer> columnIds;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "创建人")
    private String founder;

    @ApiModelProperty(value = "编辑人")
    private String editor;

    @ApiModelProperty(value = "栏目")
    private String column;

    @ApiModelProperty(value = "站点id")
    @NotNull(message = "站点id不能为空!")
    private Integer siteId;

    @ApiModelProperty(value = "标签id（逗号隔开）")
    private String lableId;


    @ApiModelProperty(value = "分类id")
    private Integer classificationId;


    @ApiModelProperty(value = "标签名称")
    private List<String> labelName;


    @ApiModelProperty(value = "召开类型(1.即将召开 2.已经召开)")
    private Integer  convokeType;

}